<table class="table table-striped table-hover">
  <thead>
    <tr>
      <th scope="col">#</th>
      <th scope="col">Project</th>
      <th scope="col">Categories</th>
      <th scope="col">Violations</th>
    </tr>
  </thead>
  <tbody id="listTable">
    {{ $counter := 0 }}
    {{ range . }}
      {{ $path_with_namespace := .Params.Path_With_Namespace }}
      {{ $counter = add $counter 1 }}
      <tr>
        <th scope="row">{{ int $counter }}</th>
        <td>
          <a href="{{ .Permalink }}">{{ .Params.Path_With_Namespace }}</a>
          {{ if (index .Site.Data.projects (split .Params.Path_With_Namespace "/")).project.empty_repo }}
            <i
              class="fas fa-folder-open"
              data-bs-toggle="tooltip"
              data-bs-placement="top"
              title="Empty repo"></i>
          {{ end }}
        </td>
        <td>
          {{ range .Params.Categories }}
            {{ partial "category.html" (dict "Permalink" (printf "categories/%s" . | urlize | relURL) "Title" .) }}
          {{ end }}
        </td>
        <td>
          <ul class="list-group list-group-flush">
            {{ range (where .Site.Data.violations "path_with_namespace" .Params.Path_With_Namespace) }}
              {{ partial "violation.html" . }}<br />
            {{ end }}
          </ul>
        </td>
      </tr>
    {{ end }}
  </tbody>
</table>
